RTEMS: CGM_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
CGM_struct_tag Struct Reference

## Data Fields
OSC_CTL_32B_tag | OSC_CTL
int8_t | CGM_reserved_0004 [92]
RC_CTL_32B_tag | RC_CTL
int8_t | CGM_reserved_0064 [60]
PLLD_tag | FMPLL [2]
int8_t | CGM_reserved_00E0 [32]
CMU_CSR_32B_tag | CMU_0_CSR
CMU_FDR_32B_tag | CMU_0_FDR
CMU_HFREFR_A_32B_tag | CMU_0_HFREFR_A
CMU_LFREFR_A_32B_tag | CMU_0_LFREFR_A
CMU_ISR_32B_tag | CMU_0_ISR
CMU_IMR_32B_tag | CMU_0_IMR
CMU_MDR_32B_tag | CMU_0_MDR
int8_t | CGM_reserved_011C [4]
CMU_CSR_32B_tag | CMU_1_CSR
int8_t | CGM_reserved_0124 [4]
CMU_HFREFR_A_32B_tag | CMU_1_HFREFR_A
CMU_LFREFR_A_32B_tag | CMU_1_LFREFR_A
CMU_ISR_32B_tag | CMU_1_ISR
int8_t | CGM_reserved_0134 [572]
union {
CGM_OC_EN_32B_tag OC_EN
CGM_OC_EN_32B_tag OCEN
}; |
union {
CGM_OCDS_SC_32B_tag OCDS_SC
CGM_OCDS_SC_32B_tag OCDSSC
}; |
union {
CGM_SC_SS_32B_tag SC_SS
CGM_SC_SS_32B_tag SCSS
}; |
union {
struct {
CGM_SC_DC_8B_tag SC_DC [2]
int8_t CGM_reserved_037E_E0 [2]
} |
struct {
CGM_SC_DC_8B_tag SC_DC0
CGM_SC_DC_8B_tag SC_DC1
int8_t CGM_reserved_037E_E1 [2]
} |
union {
CGM_SC_DC0_3_32B_tag SC_DC0_3
CGM_SC_DC0_3_32B_tag SCDC
} |
}; |
union {
CGM_AUXCLK_tag AUXCLK [6]
struct {
union {
CGM_AC_SC_32B_tag AC0_SC
CGM_AC_SC_32B_tag AC0SC
} |
union {
CGM_AC_DC0_3_32B_tag AC0_DC0_3
CGM_AC_DC0_3_32B_tag AC0DC
} |
union {
CGM_AC_SC_32B_tag AC1_SC
CGM_AC_SC_32B_tag AC1SC
} |
union {
CGM_AC_DC0_3_32B_tag AC1_DC0_3
CGM_AC_DC0_3_32B_tag AC1DC
} |
union {
CGM_AC_SC_32B_tag AC2_SC
CGM_AC_SC_32B_tag AC2SC
} |
union {
CGM_AC_DC0_3_32B_tag AC2_DC0_3
CGM_AC_DC0_3_32B_tag AC2DC
} |
union {
CGM_AC_SC_32B_tag AC3_SC
CGM_AC_SC_32B_tag AC3SC
} |
union {
CGM_AC_DC0_3_32B_tag AC3_DC0_3
CGM_AC_DC0_3_32B_tag AC3DC
} |
union {
CGM_AC_SC_32B_tag AC4_SC
CGM_AC_SC_32B_tag AC4SC
} |
union {
CGM_AC_DC0_3_32B_tag AC4_DC0_3
CGM_AC_DC0_3_32B_tag AC4DC
} |
union {
CGM_AC_SC_32B_tag AC5_SC
CGM_AC_SC_32B_tag AC5SC
} |
union {
CGM_AC_DC0_3_32B_tag AC5_DC0_3
CGM_AC_DC0_3_32B_tag AC5DC
} |
} |
}; |

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h